petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSFGetRanks

Get ranks and number of vertices referenced by leaves on this process

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetRanks(PetscSF sf,PetscInt *nranks,const PetscMPIInt **ranks,const PetscInt **roffset,const PetscInt **rmine,const PetscInt **rremote)

Not Collective

### Input Arguments

sf -star forest

### Output Arguments

| nranks | - number of ranks referenced by local part
| ranks | - array of ranks
| roffset | - offset in rmine/rremote for each rank (length nranks+1)
| rmine | - concatenated array holding local indices referencing each remote rank
| rremote | - concatenated array holding remote indices referenced for each remote rank

### See Also

PetscSFSetGraph()

Level:developer
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages